source 'https://rubygems.org'

git_source(:github) do |repo_name|
  repo_name = "#{repo_name}/#{repo_name}" unless repo_name.include?("/")
  "https://github.com/#{repo_name}.git"
end


# spree
# gem 'spree', '~> 3.4.0'
gem 'spree_api', '3.4.4'
gem 'spree_backend', '3.4.4'
gem 'spree_cmd', '3.4.4'
gem 'spree_core', '3.4.4'
gem 'spree_frontend', '3.4.4'
gem 'spree_sample', :git => 'https://gitlab.com/jan.dzvonik/spree_sample.git'
# gem 'spree_sample', path: '../spree_sample-3.4.4'

# gem 'spree_auth_devise', '~> 3.3'
gem 'spree_auth_devise', :github => 'spree/spree_auth_devise', :ref => 'e1e83eb3bd94897be0b4e7e7351f73e91df60e3c'
gem 'spree_gateway', '~> 3.3'
gem 'spree_amazon_alexa', :git => 'https://gitlab.com/jan.dzvonik/spree-amazon-alexa.git'
# gem 'spree_amazon_alexa', path: '../spree_amazon_alexa'

gem "figaro"

# Bundle edge Rails instead: gem 'rails', github: 'rails/rails'
gem 'rails', '~> 5.1.4'
# Use sqlite3 as the database for Active Record
# gem 'sqlite3'
gem 'pg'
gem 'aws-sdk'
# Use Puma as the app server
gem 'puma', '~> 3.7'
# Use SCSS for stylesheets
gem 'sass-rails', '~> 5.0'
# Use Uglifier as compressor for JavaScript assets
gem 'uglifier', '>= 1.3.0'
# See https://github.com/rails/execjs#readme for more supported runtimes
# gem 'therubyracer', platforms: :ruby

# Use CoffeeScript for .coffee assets and views
gem 'coffee-rails', '~> 4.2'
# Turbolinks makes navigating your web application faster. Read more: https://github.com/turbolinks/turbolinks
gem 'turbolinks', '~> 5'
# Build JSON APIs with ease. Read more: https://github.com/rails/jbuilder
gem 'jbuilder', '~> 2.5'
# Use Redis adapter to run Action Cable in production
# gem 'redis', '~> 3.0'
# Use ActiveModel has_secure_password
# gem 'bcrypt', '~> 3.1.7'

# Use Capistrano for deployment
# gem 'capistrano-rails', group: :development

group :development, :test do
  # Call 'byebug' anywhere in the code to stop execution and get a debugger console
  gem 'byebug', platforms: [:mri, :mingw, :x64_mingw]
  # Adds support for Capybara system testing and selenium driver
  gem 'capybara', '~> 2.13'
  gem 'selenium-webdriver'
end

group :development do
  # Access an IRB console on exception pages or by using <%= console %> anywhere in the code.
  gem 'web-console', '>= 3.3.0'
end

# Windows does not include zoneinfo files, so bundle the tzinfo-data gem
# gem 'tzinfo-data', platforms: [:mingw, :mswin, :x64_mingw, :jruby]

ruby "2.4.3"
